Create simplified invoice

post
https://api.wafeq.com/v1/simplified-invoices/

Endpoint for creating a new simplified invoice.

Query Params
string

Comma-separated relationships to expand. Pass journal to replace the journal ID with its object (ID, date, currency, reference, notes and timestamps). Documents without a journal still return null. Journal line items are retrieved separately with GET /v1/journal-line-items/?journal={journal_id}.

Body Params

A simplified tax invoice issued to a customer, such as for a retail sale.

string | null

The branch associated with this invoice.

string

The contact associated with this invoice.

stringenumrequired

The currency of the invoice.

View the enum reference

double | null

The exchange rate to the organization base currency at the time of the document.

stringlength ≤ 255

External identifier for the simplified invoice.

daterequired

The date of the invoice.

stringlength ≤ 100

The unique number of the invoice.

stringenumDefaults to en

The language of the invoice.

View the enum reference

Allowed:
line_itemsarray of objectsrequired

The line items of the invoice.

string

Additional notes or comments for the invoice.

stringrequired

The account through which the invoice was paid.

string

Only required if your organization is in the UAE: one of ABU_DHABI, AJMAN, DUBAI, FUJAIRAH, RAS_AL_KHAIMAH, SHARJAH, UMM_AL_QUWAIN or OUTSIDE_UAE

string | null

The project associated with this invoice.

string

The reference of the invoice.

stringenumDefaults to DRAFT

The status of the invoice (draft or paid).

View the enum reference

Allowed:
stringenum

Whether the tax amount is inclusive or exclusive.

View the enum reference

Allowed:
string | null

The warehouse associated with this invoice.

Headers
string

Client-provided UUID to uniquely identify a request

stringenumDefaults to application/json

Generated from available request content types

Allowed:
Response